<?php
/**
* シェルタスク
*
* PHP version 5
*
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
class ShellTask extends SimpleTask implements ITask
{
	/**
	 * イベントを処理する
	 */
	public function processEvent( IEvent $event )
	{
		print "Hello, My Shell Task" . PHP_EOL;

		$keys = $event->getKeys();
		foreach( $keys as $key ){
			$value = $event->get( s($key) );
			print "[$key]=>$value" . PHP_EOL;
		}

		return b(TRUE);
	}

}
